## helm dependency build

rebuild the charts/ directory based on the requirements.lock file

### Synopsis


Build out the charts/ directory from the requirements.lock file.

Build is used to reconstruct a chart's dependencies to the state specified in
the lock file. This will not re-negotiate dependencies, as 'helm dependency update'
does.

If no lock file is found, 'helm dependency build' will mirror the behavior
of 'helm dependency update'.


```
helm dependency build [flags] CHART
```

### Options

```
  -h, --help             help for build
      --keyring string   keyring containing public keys (default "~/.gnupg/pubring.gpg")
      --verify           verify the packages against signatures
```

### Options inherited from parent commands

```
      --debug                           enable verbose output
      --home string                     location of your Helm config. Overrides $HELM_HOME (default "~/.helm")
      --host string                     address of Tiller. Overrides $HELM_HOST
      --kube-context string             name of the kubeconfig context to use
      --kubeconfig string               absolute path to the kubeconfig file to use
      --tiller-connection-timeout int   the duration (in seconds) Helm will wait to establish a connection to tiller (default 300)
      --tiller-namespace string         namespace of Tiller (default "kube-system")
```

### SEE ALSO

* [helm dependency](helm_dependency.md)	 - manage a chart's dependencies

###### Auto generated by spf13/cobra on 1-Aug-2018
